Skip to main content
PUT

Authorizations

x-publisher-token
string
header
required

Publisher token, as displayed in the Publisher Dashboard.

Path Parameters

externalId
string
required

Design ID that you defined.

Body

application/json

Update a bundle design.

offerUiType
enum<string>

Type of offer design.

Available options:
Bundle
Example:

"Bundle"

name
string

Offer design name.

Example:

"Starter Bundle Design Updated"

externalId
string

Design ID that you define.

Example:

"starter-bundle-design"

backgroundImageUrl
string<url>

Background image URL in PNG or JPEG format.

For uploaded files, this is the Appcharge-hosted CDN URL. For external image URLs, this is the original image URL served from the provided URL. External image URLs are saved and used as-is, and Appcharge doesn't download, copy, upload, or host them. Images must remain available at the provided URLs.

We recommend uploading image files instead of using external URLs when possible.

Example:

"https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background-v2.png"

backgroundColor
object

Background color configuration for the bundle offer design.

buttonSuffixImage
string

Button asset suffix for the bundle offer design.

Example:

"https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/bundle-button-suffix-v2.png"

buttonSuffixAnimation
string

Button asset suffix animation for the bundle offer design.

Example:

"https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/bundle-button-suffix-animation-v2.json"

Response

Offer design updated successfully.

id
string

Design ID.

Example:

"68b3e3473e2ea6249862bddf"

offerUiType
enum<string>

Type of offer design.

Available options:
Bundle
Example:

"Bundle"

name
string

Offer design name.

Example:

"Starter Bundle Design"

externalId
string

Design ID that you defined.

Example:

"starter-bundle-design"

backgroundImageUrl
string<url>

Background image URL. For uploaded files, this is the Appcharge-hosted CDN URL. For external image URLs, this is the original image URL served from the provided URL.

Example:

"https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background.png"

backgroundColor
object

Background color configuration for the bundle offer design.

externalBackgroundImageUrl
string<url>

Original background image URL when the design uses an external image URL. This URL is used as provided to serve the image.

Example:

"https://cdn.example.com/assets/background.png"

buttonSuffixImage
string

Button asset suffix for the bundle offer design.

Example:

"https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/bundle-button-suffix.png"

buttonSuffixAnimation
string

Button asset suffix animation for the bundle offer design.

Example:

"https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/bundle-button-suffix-animation.json"